Skip to main content
POST
/
v1
/
webhooks
/
events
/
{event_id}
/
replay
Replay a webhook event
curl --request POST \
  --url http://127.0.0.1:8787/v1/webhooks/events/{event_id}/replay \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "trigger_id": "<string>",
    "created_at": "<string>",
    "deliveries": [
      {
        "id": "<string>",
        "webhook_endpoint_id": "<string>",
        "last_status_code": 123,
        "attempt_count": 123,
        "last_attempt_at": "<string>",
        "payload_expires_at": "<string>",
        "payload_scrubbed_at": "<string>"
      }
    ]
  },
  "error": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

event_id
string
required

The ID of the webhook event to replay (e.g. evt_...).

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$

Response

Webhook event accepted for replay.

data
object
required
error
null
required